org.apache.avro.mapreduce

## Interface Syncable

All Known Implementing Classes:
  AvroKeyRecordWriter, AvroKeyValueRecordWriter

    public interface Syncable

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `sync()` Return the current position as a value that may be passed to DataFileReader.seek(long).

### Method Detail

#### sync

    long sync()
       throws IOException

Return the current position as a value that may be passed to DataFileReader.seek(long). Forces the end of the current block, emitting a synchronization marker.

Throws:
  `IOException` - - if an error occurred while attempting to sync.